package rocks.zipcode.io.quiz4.collections;

import java.util.Arrays;
import java.util.TreeSet;

/**
 * @author leon on 11/12/2018.
 */
public class ComparableTreeSet<T extends Comparable<T>> extends TreeSet<T> implements Comparable<ComparableTreeSet<T>>{
    //private Set<T> comparableTree = new TreeSet<>();

    public ComparableTreeSet(T... arr) {

        this.addAll(Arrays.asList(arr));
    }


    public ComparableTreeSet() {

    }

    public int compareTo(ComparableTreeSet<T> o) {
       return this.first().compareTo(o.first());

    }
}
