package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<_> extends Group<_> {
    private Set<_> sortedGroup;

    public SortedGroup() {
        this.sortedGroup = new TreeSet<>();
    }

    @Override
    public void insert(_ value) {
        this.sortedGroup.add(value);
    }

    @Override
    public void delete(_ value) {
        this.sortedGroup.remove(value);
    }

    public Integer indexOf(_ firstValue) {
        List<_> indexer = new ArrayList<>(sortedGroup);
        return indexer.indexOf(firstValue);
    }
}
