package rocks.zipcode.io.quiz4.objectorientation;

import rocks.zipcode.io.quiz4.fundamentals.PalindromeEvaluator;

import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeObject {
    private String input;
    public PalindromeObject(String input) {
        this.input = input;
    }

    public String[] getAllPalindromes(){
        Set<String> list = new HashSet<>();
        for (int i = 0; i < this.input.length(); i++){
            for (int j = i + 1; j <= this.input.length(); j++){
                if(PalindromeEvaluator.isPalindrome(this.input.substring(i, j))){
                    list.add(this.input.substring(i, j));
                }
            }
        }
        return list.toArray(new String[0]);
    }

    public Boolean isPalindrome(){

        return (reverseString().equals(this.input));
    }

    public String reverseString(){

        return new StringBuilder(this.input).reverse().toString();
    }
}
