package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable<String> {
    private List<String> strings;

    public SimpleStringGroup(ArrayList<String> strings) {
        this.strings = strings;
    }

    public SimpleStringGroup() {
        this.strings = new ArrayList<>();

       // throw new UnsupportedOperationException("Method not yet implemented");
    }

    public Integer count() {

        return this.strings.size();
    }

    public void insert(String string) {
         this.strings.add(string);
    }

    public Boolean has(String valueToInsert) {

        return this.strings.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return this.strings.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        this.strings.remove(valueToInsert);
    }

    public void clear() {
        this.strings.clear();
    }


    @Override
    public Iterator<String> iterator() {
        return strings.iterator();
    }
}
