package rocks.zipcode.io.quiz4.fundamentals;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class StringEvaluator {
    public static String[] getAllPrefixes(String string) {
        Set<String> prefixes = new HashSet<>();
        for (int i = 0; i < string.length(); i++){
            for (int j = i + 1; j <= string.length(); j++){
                prefixes.add(string.substring(i, j));
            }
        }
        return prefixes.toArray(new String[0]);
    }

    public static String[] getCommonPrefixes(String string1, String string2) {
        Set<String> set1 = new HashSet<>(Arrays.asList(getAllPrefixes(string1)));
        Set<String> set2 = new HashSet<>(Arrays.asList(getAllPrefixes(string2)));
        set1.retainAll(set2);

       return set1.toArray(new String[0]);
    }

    public static String getLargestCommonPrefix(String string1, String string2) {
        String[] strings = getCommonPrefixes(string1, string2);
        return Collections.max(Arrays.asList(strings), Comparator.comparing(String::length));
    }
}
