package rocks.zipcode.io.quiz4.generics;

import java.util.Iterator;
import java.util.Stack;

/**
 * @author leon on 11/12/2018.
 */
public class MyStack<SomeType> implements Iterable<SomeType> {
    private Stack<SomeType> myStack;

    public MyStack() {
        this.myStack = new Stack<>();
    }

    public Boolean isEmpty() {

        return this.myStack.isEmpty();
    }

    public void push(SomeType i) {
        this.myStack.push(i);
    }

    public SomeType peek() {
        if (!this.myStack.isEmpty()) {
            return this.myStack.peek();
        }
        return null;
    }

    public SomeType pop() {

        return this.myStack.pop();
    }

    @Override
    public Iterator<SomeType> iterator() {
        return myStack.iterator();
    }
}
