package rocks.zipcode.io.quiz4.objectorientation;

import rocks.zipcode.io.quiz4.fundamentals.StringEvaluator;

import java.util.*;

/**
 * @author leon on 19/12/2018.
 */
public class StringEvaluatorObject {
    private String str;
    public StringEvaluatorObject(String str) {
        this.str = str;
    }

    public String[] getAllPrefixes() {

        Set<String> prefixes = new HashSet<>();
        for (int i = 0; i < str.length(); i++){
            for (int j = i + 1; j <= str.length(); j++){
                prefixes.add(str.substring(i, j));
            }
        }
        return prefixes.toArray(new String[0]);
    }

    public String[] getCommonPrefixes(String secondInput) {
        Set<String> set1 = new HashSet<>(Arrays.asList(getAllPrefixes()));
        Set<String> set2 = new HashSet<>(Arrays.asList(StringEvaluator.getAllPrefixes(secondInput)));
        set1.retainAll(set2);

        return set1.toArray(new String[0]);
    }

    public String getLargestCommonPrefix(String secondInput) {
        String[] strings = getCommonPrefixes(secondInput);
        return Collections.max(Arrays.asList(strings), Comparator.comparing(String::length));
    }
}
